
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version 1.15
%global build_dir      src/github.com/containerd

Name:		containerd
Version:	1.4.8
Release:    1%{?dist}
Summary:	Industry-standard container runtime
License:	ASL 2.0
Group:      System/Management
URL:		https://github.com/containerd/containerd
Vendor:		Oracle America
Source:     %{name}-%{version}.tar.bz2
Source1:    containerd.service
Requires(pre):	shadow-utils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: /bin/sh
Requires: container-selinux >= 2.9
Requires: libseccomp >= 2.3
Requires: iptables
Requires: libcgroup
Requires: systemd-units
Requires: tar
Requires: xz
BuildRequires: libseccomp-devel >= 2.3
BuildRequires: btrfs-progs-devel
BuildRequires:  golang >= %{golang_version}

%description
containerd is an industry-standard container runtime with an emphasis on simplicity, robustness and portability. It is available as a daemon for Linux and Windows, which can manage the complete container lifecycle of its host system: image transfer and storage, container execution and supervision, low-level storage and network attachments, etc.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{build_dir}
ln -sr $(pwd) %{build_dir}/%{name}
export GOPATH=$(pwd)
cd %{build_dir}/%{name}
GIT_COMMIT_SHA=7eba5930496d9bbe375fdf71603e610ad737d2b2
make \
    VERSION=v%{version} \
    REVISION=${GIT_COMMIT_SHA}

%install
make install DESTDIR=%{buildroot}%{_prefix}
install -d %{buildroot}/%{_unitdir}
install -p -m 644 %SOURCE1 %{buildroot}/%{_unitdir}/containerd.service

%files
%license LICENSE THIRD_PARTY_LICENSES.txt NOTICE
%{_bindir}/ctr
%{_bindir}/containerd-stress
%{_bindir}/containerd-shim-runc-v1
%{_bindir}/containerd-shim-runc-v2
%{_bindir}/containerd-shim
%{_bindir}/containerd
%{_unitdir}/containerd.service

%preun
%systemd_preun containerd

%postun
%systemd_postun_with_restart containerd

%changelog
* Tue Jul 20 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.4.8-1
- Address CVE-2021-32760
